> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Filters

> Get available filters



## OpenAPI

````yaml get /filters
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /filters:
    get:
      tags:
        - filters
      summary: Get Filters
      description: Get available filters
      operationId: get_filters_filters_get
      parameters:
        - name: product_price
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Product Price
        - name: round_price__from
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: string
              - type: 'null'
            title: Round Price  From
        - name: round_price__to
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: string
              - type: 'null'
            title: Round Price  To
        - name: round_fill
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/RoundFillType'
              - type: 'null'
            title: Round Fill
        - name: round_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Round Type
        - name: question_category
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Question Category
        - name: product_category
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Product Category
        - name: event_category
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Event Category
        - name: lat_min
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Lat Min
        - name: lat_max
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Lat Max
        - name: lon_min
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Lon Min
        - name: lon_max
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Lon Max
        - name: order_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Order By
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '401':
          description: >-
            No `Authorization` access token header, token is invalid or user
            removed
          content:
            application/json:
              examples:
                not authenticated:
                  summary: No authorization token header
                  value:
                    detail: Not authenticated
                invalid token:
                  summary: >-
                    Token validation failed, decode failed, it may be expired or
                    malformed
                  value:
                    detail: 'Token invalid: {detailed error msg}'
                removed user:
                  summary: User removed
                  value:
                    detail: User removed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RoundFillType:
      type: string
      enum:
        - low
        - medium
        - high
      title: RoundFillType
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````